Vigil@nce – WordPress Rockhoist Badges : Cross Site Scripting via rh-badges.php – Global Security Mag



Ce bulletin a ete redige par Vigil@nce?: https://vigilance.fr/offre

SYNTHESE DE LA VULNERABILITE

Un attaquant peut provoquer un Cross Site Scripting via la page “rh-badges.php” de WordPress Rockhoist Badges, afin d’executer du code JavaScript dans le contexte du site web.

Produits concernes?: WordPress Plugins?non exhaustif.

Gravite?: 2/4.

Date creation?: 22/02/2017.

DESCRIPTION DE LA VULNERABILITE

Le plugin Rockhoist Badges peut etre installe sur WordPress.

Cependant, les donnees recues via le parametre de requete “badge_ID” traite dans la page “rh-badges.php” ne sont pas filtrees avant d’etre inserees dans les documents HTML generes.

Un attaquant peut donc provoquer un Cross Site Scripting via la page “rh-badges.php” de WordPress Rockhoist Badges, afin d’executer du code JavaScript dans le contexte du site web.

ACCES AU BULLETIN VIGIL@NCE COMPLET

https://vigilance.fr/vulnerabilite/…



Related Post